import { Directive, Input, Output, TemplateRef } from '@angular/core';

@Directive({
  selector: '[ofUITemplate]',
})
export class UITemplateDirective {

  @Input() type: string;

  @Input('ofUITemplate') ofUITemplate: string;

  constructor(public template: TemplateRef<any>) { }

  getType(): string {
    return this.ofUITemplate;
  }
}
